Index: branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg
===================================================================
--- branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg	(revision 7148)
+++ branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg	(revision 7153)
@@ -8,4 +8,5 @@
 nav_lev      | model_levels   | Z    | T | cubic           | Model levels                          |                                  
 deptht       | m              | Z    | T |                 | Vertical T levels                     | depth                            
+ncatice      | 1              | Z    | T |                 | Ice category                          | num_icecat_coordinate
 time_counter |                | T    |   |                 | Time axis                             | time                             
 Bathymetry   | m              | XY   | T | cubic           | Bathymetry                            | bathymetry                       
@@ -108,4 +109,9 @@
 kz           |                | XYZT | T |                 |                                       |                                  
 irondep      |                | XYZT | T |                 |                                       |                                  
+sivelu       | m/s            | XYT  | T |                 | Ice velocity along i-axis at I-point  | sea_ice_x_velocity
+sivelv       | m/s            | XYT  | T |                 | Ice velocity along j-axis at I-point  | sea_ice_y_velocity
+siconcat     | %              | XYZT | T |                 | Ice concentration for categories      | sea_ice_cat_concentration
+sithicat     | m              | XYZT | T |                 | Ice thickness for categories          | sea_ice_cat_icethickness
+snthicat     | m              | XYZT | T |                 | Snow thickness for categories         | sea_ice_cat_snowthickness
 kt_ice       |                |      |   |                 |                                       |                                  
 hicif        |                |      |   |                 |                                       |                                  
Index: branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/attribute.f90
===================================================================
--- branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/attribute.f90	(revision 7148)
+++ branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/attribute.f90	(revision 7153)
@@ -141,5 +141,5 @@
    END TYPE TATT
 
-   CHARACTER(LEN=lc), DIMENSION(ip_maxdum), SAVE :: cm_dumatt !< dummy attribute
+   CHARACTER(LEN=lc), DIMENSION(ip_maxdumcfg), SAVE :: cm_dumatt !< dummy attribute
 
    INTERFACE att_init
@@ -1282,7 +1282,7 @@
       ! loop indices
       ! namelist
-      CHARACTER(LEN=lc), DIMENSION(ip_maxdum) :: cn_dumvar
-      CHARACTER(LEN=lc), DIMENSION(ip_maxdum) :: cn_dumdim
-      CHARACTER(LEN=lc), DIMENSION(ip_maxdum) :: cn_dumatt
+      CHARACTER(LEN=lc), DIMENSION(ip_maxdumcfg) :: cn_dumvar
+      CHARACTER(LEN=lc), DIMENSION(ip_maxdumcfg) :: cn_dumdim
+      CHARACTER(LEN=lc), DIMENSION(ip_maxdumcfg) :: cn_dumatt
 
       !----------------------------------------------------------------
@@ -1345,5 +1345,5 @@
 
       att_is_dummy=.FALSE.
-      DO ji=1,ip_maxdum
+      DO ji=1,ip_maxdumcfg
          IF( fct_lower(td_att%c_name) == fct_lower(cm_dumatt(ji)) )THEN
             att_is_dummy=.TRUE.
Index: branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_bathy.f90
===================================================================
--- branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_bathy.f90	(revision 7148)
+++ branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_bathy.f90	(revision 7153)
@@ -46,4 +46,6 @@
 !>       - cn_varcfg : variable configuration file 
 !> (see ./SIREN/cfg/variable.cfg)
+!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
+!> be used (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
@@ -134,4 +136,6 @@
 !> @date February, 2016
 !> - do not closed sea for east-west cyclic domain
+!> @date October, 2016
+!> - dimension to be used select from configuration file
 !
 !> @todo
@@ -219,4 +223,5 @@
    ! namcfg
    CHARACTER(LEN=lc)                       :: cn_varcfg = './cfg/variable.cfg' 
+   CHARACTER(LEN=lc)                       :: cn_dimcfg = './cfg/dimension.cfg' 
    CHARACTER(LEN=lc)                       :: cn_dumcfg = './cfg/dummy.cfg' 
 
@@ -249,4 +254,5 @@
    NAMELIST /namcfg/ &   !< configuration namelist
    &  cn_varcfg, &       !< variable configuration file
+   &  cn_dimcfg, &       !< dimension configuration file
    &  cn_dumcfg          !< dummy configuration file
 
@@ -308,4 +314,7 @@
       ! get variable extra information
       CALL var_def_extra(TRIM(cn_varcfg))
+
+      ! get dimension allowed
+      CALL dim_def_extra(TRIM(cn_dimcfg))
 
       ! get dummy variable
@@ -615,4 +624,5 @@
    CALL mpp_clean(tl_coord1)
    CALL mpp_clean(tl_coord0)
+   CALL var_clean_extra()
 
    ! close log file
Index: branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_boundary.F90
===================================================================
--- branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_boundary.F90	(revision 7148)
+++ branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_boundary.F90	(revision 7153)
@@ -52,4 +52,6 @@
 !>       - cn_varcfg : variable configuration file
 !> (see ./SIREN/cfg/variable.cfg)
+!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
+!> be used (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
@@ -199,4 +201,6 @@
 !> @date January, 2016
 !> - same process use for variable extracted or interpolated from input file.
+!> @date October, 2016
+!> - dimension to be used select from configuration file
 !>
 !> @todo
@@ -387,6 +391,7 @@
 
    ! namcfg
-   CHARACTER(LEN=lc)                       :: cn_varcfg = 'variable.cfg' 
-   CHARACTER(LEN=lc)                       :: cn_dumcfg = 'dummy.cfg'
+   CHARACTER(LEN=lc)                       :: cn_varcfg = './cfg/variable.cfg' 
+   CHARACTER(LEN=lc)                       :: cn_dimcfg = './cfg/dimension.cfg'
+   CHARACTER(LEN=lc)                       :: cn_dumcfg = './cfg/dummy.cfg'
 
    ! namcrs
@@ -448,4 +453,5 @@
    NAMELIST /namcfg/ &  !< config namelist
    &  cn_varcfg, &       !< variable configuration file
+   &  cn_dimcfg, &       !< dimension configuration file
    &  cn_dumcfg          !< dummy configuration file
 
@@ -529,4 +535,7 @@
       CALL var_def_extra(TRIM(cn_varcfg))
 
+      ! get dimension allowed
+      CALL dim_def_extra(TRIM(cn_dimcfg))
+
       ! get dummy variable
       CALL var_get_dummy(TRIM(cn_dumcfg))
@@ -1153,4 +1162,5 @@
    CALL mpp_clean(tl_coord1)
    CALL mpp_clean(tl_coord0)
+   CALL var_clean_extra()
 
    CALL multi_clean(tl_multi)
@@ -1615,4 +1625,5 @@
 
       ENDIF
+
    END FUNCTION create_boundary_get_level
    !-------------------------------------------------------------------
Index: branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_coord.f90
===================================================================
--- branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_coord.f90	(revision 7148)
+++ branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_coord.f90	(revision 7153)
@@ -44,4 +44,6 @@
 !>       - cn_varcfg : variable configuration file 
 !> (see ./SIREN/cfg/variable.cfg)
+!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
+!> be used (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
@@ -110,4 +112,6 @@
 !> @date September, 2016
 !> - allow to use coordinate to define subdomain
+!> @date October, 2016
+!> - dimension to be used select from configuration file
 !>
 !> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -181,4 +185,5 @@
    ! namcfg
    CHARACTER(LEN=lc) :: cn_varcfg = './cfg/variable.cfg' 
+   CHARACTER(LEN=lc) :: cn_dimcfg = './cfg/dimension.cfg' 
    CHARACTER(LEN=lc) :: cn_dumcfg = './cfg/dummy.cfg'
 
@@ -213,4 +218,5 @@
    NAMELIST /namcfg/ &  !  config namelist
    &  cn_varcfg, &       !< variable configuration file
+   &  cn_dimcfg, &       !< dimension configuration file
    &  cn_dumcfg          !< dummy configuration file
 
@@ -277,4 +283,7 @@
       CALL var_def_extra(TRIM(cn_varcfg))
 
+      ! get dimension allowed
+      CALL dim_def_extra(TRIM(cn_dimcfg))
+
       ! get dummy variable
       CALL var_get_dummy(TRIM(cn_dumcfg))
@@ -340,4 +349,5 @@
    IF( rn_lonmax0 >= -180. .AND. rn_lonmax0 <= 360 .AND. &
      & rn_latmax0 >= -90.  .AND. rn_latmax0 <= 90. )THEN
+
       il_index(:)=grid_get_closest(tl_coord0, &
          &                         REAL(rn_lonmax0,dp), REAL(rn_latmax0,dp), &
@@ -481,4 +491,7 @@
    IF( il_attid == 0 )THEN
       il_ind=var_get_index(tl_fileout%t_var(:),'longitude')
+      IF( il_ind == 0 )THEN
+         il_ind=var_get_index(tl_fileout%t_var(:),'longitude_T')
+      ENDIF
       il_ew=grid_get_ew_overlap(tl_fileout%t_var(il_ind))
       IF( il_ew >= 0 )THEN
@@ -503,4 +516,5 @@
 
    CALL file_clean(tl_fileout)
+   CALL var_clean_extra()
 
    ! close log file
